Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 336770 - dev-lua/luaexpat does not respect LDFLAGS
Summary: dev-lua/luaexpat does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Dirkjan Ochtman
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags 388797
  Show dependency tree
 
Reported: 2010-09-10 22:59 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2012-03-01 12:52 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (luaexpat-1.1:20100910-202557.log,2.00 KB, text/plain)
2010-09-10 22:59 UTC, Diego Elio Pettenò (RETIRED)
Details
respect-ldflags.patch (respect-ldflags.patch,588 bytes, patch)
2011-11-03 19:57 UTC, ScytheMan
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-10 22:59:00 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-10 22:59:17 UTC
Created attachment 246774 [details]
Build log
Comment 2 ScytheMan 2011-11-03 19:57:57 UTC
Created attachment 291611 [details, diff]
respect-ldflags.patch

I tried to fix it, but I don't know if I did this correctly. 
At least portage doesn't prompt LDFLAGS QA warning anymore.

It would be better, if someone with knowledge about makefiles looks over it before adding it to the tree.
Comment 3 Dirkjan Ochtman gentoo-dev 2012-03-01 12:52:16 UTC
Fixed, thanks for the patch.